# Interface methods for submodule: Similarity3DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VersorRigid3DTransformProxy as _VersorRigid3DTransformProxy


# Interface methods for class: Similarity3DTransform
class Similarity3DTransformProxy(_VersorRigid3DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix, tolerance: float) -> None:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetScale(self, scale: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

